## nvclock 0.5

=== src/gtk/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/nvclock
pkglibdir = $(libdir)/nvclock
pkgincludedir = $(includedir)/nvclock

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
CXX = c++
DEBUG = -DNO_DEBUG -DNO_CHECK
GTK_CFLAGS = 
GTK_CONFIG = 
GTK_LIBS = 
MAKEINFO = makeinfo
MOC = 
PACKAGE = nvclock
PERL = 
RANLIB = ranlib
USE_GTK = 
USE_QT = 
VERSION = 0.5

bin_PROGRAMS = nvclock_gtk
nvclock_gtk_SOURCES = main.c callbacks.c interface.c
nvclock_gtk_LDADD = ../backend/libbackend.a
CFLAGS = $(GTK_CFLAGS)
LIBS = $(GTK_LIBS)

INCLUDES = -I../backend
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
nvclock_gtk_OBJECTS =  main.o callbacks.o interface.o
nvclock_gtk_DEPENDENCIES =  ../backend/libbackend.a
nvclock_gtk_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/callbacks.P .deps/interface.P .deps/main.P
SOURCES = $(nvclock_gtk_SOURCES)
OBJECTS = $(nvclock_gtk_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/gtk/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

nvclock_gtk: $(nvclock_gtk_OBJECTS) $(nvclock_gtk_DEPENDENCIES)
	@rm -f nvclock_gtk
	$(LINK) $(nvclock_gtk_LDFLAGS) $(nvclock_gtk_OBJECTS) $(nvclock_gtk_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/gtk

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/gtk/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/qt/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/nvclock
pkglibdir = $(libdir)/nvclock
pkgincludedir = $(includedir)/nvclock

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
CFLAGS = 
CXX = c++
DEBUG = -DNO_DEBUG -DNO_CHECK
GTK_CFLAGS = 
GTK_CONFIG = 
GTK_LIBS = 
MAKEINFO = makeinfo
MOC = 
PACKAGE = nvclock
PERL = 
RANLIB = ranlib
USE_GTK = 
USE_QT = 
VERSION = 0.5

EXTRA_DIST = nv.xpm

bin_PROGRAMS = nvclock_qt
nvclock_qt_SOURCES = qt_nvclock.cpp qt_nvclock.h main.cpp
nvclock_qt_LDADD = -lqt ../backend/libbackend.a

nvclock_qt_METASOURCES = USE_AUTOMOC

LIBS = -lqt -L$(QTDIR)/lib -L$(QTDIR)
INCLUDES = -I../backend -I$(QTDIR)/include $(DEBUG)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
nvclock_qt_OBJECTS =  qt_nvclock.o main.o
nvclock_qt_DEPENDENCIES =  ../backend/libbackend.a
nvclock_qt_LDFLAGS = 
CXXFLAGS = -g -O2
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/main.P .deps/qt_nvclock.P
SOURCES = $(nvclock_qt_SOURCES)
OBJECTS = $(nvclock_qt_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/qt/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

nvclock_qt: $(nvclock_qt_OBJECTS) $(nvclock_qt_DEPENDENCIES)
	@rm -f nvclock_qt
	$(CXXLINK) $(nvclock_qt_LDFLAGS) $(nvclock_qt_OBJECTS) $(nvclock_qt_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/qt

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/qt/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cpp
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cpp
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## nvclock 0.8b

=== src/backend/Makefile ===
CC=gcc
AR=ar
RANLIB=ranlib
system=Linux
OBJECTS=nv30.o nv31.o info.o overclock.o
CFLAGS=

ifeq ($(system), FreeBSD)
    OBJECTS+=back_bsd.o
else
    OBJECTS+=backend.o
endif

.PHONY: clean distclean
all: libbackend.a


libbackend.a: $(OBJECTS)
	$(AR) cru libbackend.a $(OBJECTS)
	$(RANLIB) libbackend.a

clean:
	rm -f *.o *.a

distclean: clean
	rm -f Makefile

install:
uninstall:

## nvclock 0.8b4%2Bcvs20100914

=== debian/changelog ===
nvclock (0.8b4+cvs20100914-5) unstable; urgency=low

  * Build with dh_autoreconf.
  * fix-unsafe-format.diff: New patch to fix an unsafe format string.
  * Use canonical Vcs-* URLs. 
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Switch to debhelper 9.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 May 2013 03:54:36 +0200

nvclock (0.8b4+cvs20100914-4) unstable; urgency=low

  * fix-segfaults.diff: Fix missing braces. Thanks to Евгений Сыромятников for
    noticing this and the patch.  (Closes: #703454) 
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Mar 2013 13:32:51 +0100

nvclock (0.8b4+cvs20100914-3) unstable; urgency=low

  * Build binary packages for armhf, since it should have similar hardware
    availability to armel.  (Closes: #684490) 
  * fix-segfaults.diff: New patch to fix segmentation faults with newer GPUs
    and newer Nvidia drivers.  (Closes: #671135)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 16 Aug 2012 17:45:56 +0200

nvclock (0.8b4+cvs20100914-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Update Standards-Version to 3.9.2 (no changes needed).
  * debian/copyright: Update to dep5.mdwn?revision=202.
  * Try to eliminate the Ubuntu diff:
  * Use a substitution variable to allow vendor specific Suggests.
  * multiarch.diff: New patch to add /usr/lib/<triplet> to the QT library
    search paths.
  * Move smartdimmer binary from package nvclock to new package smartdimmer.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Feb 2012 11:00:20 -0800

nvclock (0.8b4+cvs20100914-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Repack source from nvclock CVS snapshot.
  * Update to upstream CVS as of 2010-09-14.
  * README.source: document CVS snapshot generation.
  * debian/rules: add a get-cvs-snapshot target to download and pack CVS
    snapshots.
  * link-with-all-libs.diff: reorder libraries to fix FTBFS with
    binutils-gold.  (Closes: #555781, #609616)
  * qt4.diff: new patch to convert nvclock_qt from qt3 to qt4.
    (Closes: #604365)
  * Add lintian overrides for false positive misspelling 'ment' in hyphenated
    govern-ment in upstream license.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 21 Feb 2011 21:36:47 -0800

nvclock (0.8b4-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Update Standards-Version to 3.9.1 (no changes needed).
  * Switch to debhelper compat level 8 (no changes needed).
  * Suggest nvidia-glx without alternatives.  This is now a virtual package
    provided by nvidia-glx-legacy-* as well.
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Install desktop file and icon for nvclock-gtk, matching upstream.
  * Re-add builds for alpha, armel, hppa, ia64, powerpc, and sparc.
    NVIDIA hardware was more widespread than I thought.
  * Shorten the short description and fix capitalization in the long
    description.  Add cross-references for the other packages to the long
    descriptions.

 -- Russ Allbery <rra@debian.org>  Sat, 18 Sep 2010 14:12:59 -0700

nvclock (0.8b4-2) unstable; urgency=low

  [ Steve Langasek ]
  * lintian fixes: (closes: #520569)
    - debian/copyright: add an actual copyright notice.
    - debian/copyright: copy the GPLv2+ license text.
    - remove empty debian/nvclock.postinst - minor, but makes dpkg less
      efficient about package states
    - debian/control: GTK -> GTK+
    - debian/control: add ${misc:Depends} to the deps of all packages
    - debian/nvclock-{qt,gtk}.menu: quote the "needs" and "section"
      strings, and use the menu section that the Debian menu policy
      explicitly says this package should be using (System/Hardware) :-)
    - debian/rules, debian/compat: set the debhelper compat level in the
      authoritative place.
    - debian/rules: don't ignore errors from 'make clean'.
    - debian/control: Standards-Version to 3.8.0

  [ Andreas Beckmann ]
  * Team change: switch Uploaders from Randall to Russ.
  * Switch to source format 3.0 (quilt).
  * Update to upstream CVS as of 2009-06-22.  (Closes: #463890, #570325)
  * Rerun autogen.sh since we patch configure.in.
  * Add patch nvclock_hurd.debdiff from Barry deFreese to fix FTBFS on
    GNU/Hurd.  (Closes: #533918)
  * Add patch link-with-all-libs.diff to fix FTBFS with binutils-gold.
    (Closes: #555781)
  * Update to debhelper compat level 7 and Standards-Version 3.8.4.
  * Ship upstream manpage nvclock.1 instead of the outdated Debian version.
  * Add patch manpage-fixes.diff to fix typos and hyphenation in that manpage.
  * Do not ship duplicate copies of the upstream changelog.
  * Ship the smartdimmer binary, new in 0.8b4.
  * Add manpage smartdimmer.1, generated with help2man.
  * Add a watch file.
  * Adjust suggestions to cover nvidia-glx-legacy-*, too.
  * Add lintian overrides for problems in the upstream source that could be
    solved by repacking only.
  * debian/rules: switch to dh and minimize.
  * Remove obsolete empty maintainer scripts.
  * Convert debian/copyright to DEP-5 format.
  * Add Vcs-* URLs.

  [ Russ Allbery ]
  * Only build on i386 and amd64, since this package is useless without
    NVIDIA hardware.  (Closes: #551096)
  * Flesh out debian/copyright with some files released under different
    licenses and add more copyright holders.
  * Add a Homepage control field.

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jun 2010 21:06:17 -0700

nvclock (0.8b4-1) unstable; urgency=low

  * New upstream release.  (Closes: #511979, #433375, #360097, #414236,
    #459494)

 -- Randall Donald <rdonald@debian.org>  Fri, 20 Feb 2009 12:02:17 -0800

nvclock (0.8b3-1) unstable; urgency=low

  * New upstream release
  * Change Maintainer to packaging team.

 -- Randall Donald <rdonald@debian.org>  Sat, 05 Jan 2008 13:02:01 -0800

nvclock (0.8b2-1) unstable; urgency=low

  * New upstream release, sorry for the delay (closes: #386633)
  * change to debhelper 5



## nvclock 0.8b4+cvs20100914

=== src/backend/Makefile ===
--- 
+++ 
@@ -1,14 +1,28 @@
-CC=gcc
+CC=gcc -O0
 AR=ar
 RANLIB=ranlib
+
 system=Linux
-OBJECTS=nv30.o nv31.o info.o overclock.o
-CFLAGS=
+HAVE_NVCONTROL=yes
+OBJECTS=backend.o bios.o config.o error.o nv30.o nv40.o nv50.o info.o overclock.o utils.o i2c.o xf86i2c.o adt7473.o f75375.o lm99.o w83781d.o w83l785r.o libc_wrapper.o
+CFLAGS=    -I../.. -I../nvcontrol
 
 ifeq ($(system), FreeBSD)
     OBJECTS+=back_bsd.o
 else
-    OBJECTS+=backend.o
+    ifeq ($(system), Win32)
+        OBJECTS+=back_win32.o
+    else
+        ifeq ($(system), SunOS)
+            OBJECTS+=back_solaris.o
+        else
+            OBJECTS+=back_linux.o
+        endif
+    endif
+endif
+
+ifeq ($(HAVE_NVCONTROL), yes)
+    OBJECTS+=nvcontrol.o
 endif
 
 .PHONY: clean distclean

=== debian/control ===
Source: nvclock
Section: x11
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libglib2.0-dev,
 libgtk2.0-dev,
 libqt4-dev,
Build-Conflicts:
 autoconf2.13,
 automake1.4,
 libqt3-mt-dev,
Standards-Version: 3.9.4
Homepage: http://www.linuxhardware.org/nvclock/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvclock/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvclock/

Package: nvclock
Architecture: alpha amd64 armel armhf hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: smartdimmer
Suggests: ${nvidia:Suggests}
Description: Overclock an NVIDIA card
 This program allows you to overclock your NVIDIA-based video card.  The
 official binary NVIDIA drivers are required for accesses other than by
 root.
 .
 This is the console version.  See nvclock-gtk or nvclock-qt for graphical
 versions.

Package: nvclock-gtk
Architecture: alpha amd64 armel armhf hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${nvidia:Suggests}
Description: Overclock an NVIDIA card (GTK+ interface)
 This program allows you to overclock your NVIDIA-based video card.  The
 official binary NVIDIA drivers are required for accesses other than by
 root.
 .
 This is the GTK+ version.  See nvclock-qt for a Qt version and nvclock
 for the console version.

Package: nvclock-qt
Architecture: alpha amd64 armel armhf hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${nvidia:Suggests}
Description: Overclock an NVIDIA card (Qt interface)
 This program allows you to overclock your NVIDIA-based video card.  The
 official binary NVIDIA drivers are required for accesses other than by
 root.
 .
 This is the Qt version.  See nvclock-gtk for a GTK+ version and nvclock
 for the console version.

Package: smartdimmer
Architecture: alpha amd64 armel armhf hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: nvclock (<< 0.8b4+cvs20100914-2~)
Replaces: nvclock (<< 0.8b4+cvs20100914-2~)
Description: Change LCD brightness on GeForce cards
 NVIDIA GeForce Go 6xxx, GeForce Go 7xxx, GeForce 8xxxM, GeForce 9xxxM, and
 other cards contain hardware LCD brightness control.  Smartdimmer allows this
 to be controlled through software.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  export CFLAGS=-O0 -mieee
  export CXXFLAGS=-O0 -mieee
endif

ifeq ($(ARCH),hppa)
  export CXXFLAGS=-ffunction-sections
endif

suggests	?= $(or $(if $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu),nvidia-common [amd64 i386]),\
			nvidia-glx-any [amd64 i386])


%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk --enable-qt

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Suggests=$(suggests)'

############################################################################

get-cvs-snapshot:
	rm -rf nvclock+cvs.orig
	cvs -d:pserver:anonymous@nvclock.cvs.sourceforge.net:/cvsroot/nvclock export -D $(SNAPSHOT_BEFORE) -d nvclock+cvs.orig nvclock
	rm -f nvclock+cvs.orig/.cvsignore nvclock+cvs.orig/*/.cvsignore nvclock+cvs.orig/*/*/.cvsignore
	debian/rules pack-cvs-snapshot \
		NVCLOCK_CVS_VERSION="$$(sed -ne '1,9{/^v/{s/ .*//;s/v//p}}' nvclock+cvs.orig/ChangeLog)" \
		NVCLOCK_CVS_DATE="$$(stat -c%y $$(ls -1t $$(find nvclock+cvs.orig -type f) | head -n 1) | sed -e 's/ .*//' -e 's/-//g')"

SNAPSHOT_BEFORE		?= now
NVCLOCK_CVS_VERSION	?= unknown
NVCLOCK_CVS_DATE	?= yyyymmdd
NVCLOCK_CVS		?= $(NVCLOCK_CVS_VERSION)+cvs$(NVCLOCK_CVS_DATE)

pack-cvs-snapshot:
	rm -rf nvclock-$(NVCLOCK_CVS).orig
	mv nvclock+cvs.orig nvclock-$(NVCLOCK_CVS).orig
	rm -f nvclock_$(NVCLOCK_CVS).orig.tar.bz2
	tar cfvj nvclock_$(NVCLOCK_CVS).orig.tar.bz2 \
		--owner=root --group=src \
		nvclock-$(NVCLOCK_CVS).orig
	rm -rf nvclock-$(NVCLOCK_CVS).orig

=== debian/watch ===
version=3
http://www.linuxhardware.org/nvclock/ nvclock(.*).tar.gz
